Bug 1117961 (lua-msgpack) - Review Request: lua-msgpack - Lua binary-based efficient object serialization library
Summary: Review Request: lua-msgpack - Lua binary-based efficient object serialization...
Keywords:
Status: CLOSED WONTFIX
Alias: lua-msgpack
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 17:30 UTC by Igor Gnatenko
Modified: 2018-08-22 07:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-22 07:29:40 UTC
i: fedora-review?


Attachments (Terms of Use)

Description Igor Gnatenko 2014-07-09 17:30:10 UTC
Spec URL: http://ignatenkobrain.fedorapeople.org/for-review/lua-msgpack.spec
SRPM URL: http://ignatenkobrain.fedorapeople.org/for-review/lua-msgpack-0.3.0-1.fc21.src.rpm
Description:
MessagePack is a binary-based efficient data interchange format that is
focused on high performance. It is like JSON, but very fast and small.
This is a Lua MessagePack.
Fedora Account System Username: ignatenkobrain

Comment 1 Christopher Meng 2014-07-21 04:32:19 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: lua-msgpack-0.3.0-1.fc22.i686.rpm
          lua-msgpack-0.3.0-1.fc22.src.rpm
lua-msgpack.i686: E: no-binary
lua-msgpack.i686: W: no-documentation
lua-msgpack.src:23: W: configure-without-libdir-spec
2 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint lua-msgpack
lua-msgpack.i686: E: no-binary
lua-msgpack.i686: W: no-documentation
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
lua-msgpack (rpmlib, GLIBC filtered):
    lua



Provides
--------
lua-msgpack:
    lua-msgpack
    lua-msgpack(x86-32)



Source checksums
----------------
https://github.com/fperrad/lua-MessagePack/archive/0.3.0/lua-msgpack-0.3.0.tar.gz :
  CHECKSUM(SHA256) this package     : c8b0ff9a951ed65766fef23eabe19792e282910b949d6dd1fdf13f80a4be8bfe
  CHECKSUM(SHA256) upstream package : c8b0ff9a951ed65766fef23eabe19792e282910b949d6dd1fdf13f80a4be8bfe


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rvn lua-msgpack-0.3.0-1.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

----------------------------
1. BuildArch: noarch

2. No need to %build, just add a note(comment) there.

3. %check?

4. Hint %description: s/This is a Lua MessagePack./This is Lua MessagePack, a pure Lua implementation of MessagePack binary serialization format./

Comment 2 Eduardo Mayorga 2014-11-15 13:41:21 UTC
Where is the license text?

Comment 3 Christopher Meng 2015-09-09 11:49:41 UTC
PING or I will submit this by myself since my package depends on it.

Comment 4 Igor Gnatenko 2016-03-27 16:30:25 UTC
(In reply to Christopher Meng from comment #3)
> PING or I will submit this by myself since my package depends on it.

Submit by yourself. Feel free to take my spec as base. ;)

unfortunately I don't have time to work on this.

Comment 6 Zbigniew Jędrzejewski-Szmek 2016-11-13 02:18:41 UTC
Building the srpm does not work if lua is not installed. I think you need to wrap the ">= %{luaver}" part in a conditional that checks if luaver is defined.

+ package name is OK
+ license is acceptable (MIT)
+ license is specified correctly
- latest version, no 0.3.5 has been released
+ builds and install OK (once lua is manually installed)
+ provides/requires look correct
+ fedora-review is happy

Please update.

Comment 7 Igor Gnatenko 2018-08-22 07:29:40 UTC
Unfortunately I don't have time to work on these review requests anymore, sorry.


Note You need to log in before you can comment on or make changes to this bug.